<?php namespace App\Models;

use CodeIgniter\Model;

class ContactsModel extends Model {
	protected $table 		= 'contacts';
	protected $primaryKey 	= 'contactid';
	protected $allowedFields = [
		'firstname', 'lastname', 'title', 'initial', 'birthdate', 'email_1', 'email_2', 'phone', 'mobile_1', 'mobile_2', 'createdate', 'enddate'
	];

	public function getAll() {
		return $this->findAll();
	}
}